Skip to main content
GET
Fetch Future Transactions

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the Subscription to retrieve future Transactions A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Query Parameters

quantity
integer
required

The number of future transactions to fetch. The amount to fetch must be between 1-5.

Response

JSON A list array with a data property that contains an array of up to limit Transactions, starting after the specified starting_after Transaction (or ending before the specified ending_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error. A list of Transaction objects matching the query. Also:

  • "total_count": Integer count of the number of Transaction objects in the returned list.
  • "url": The query string provided in the request
object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"created\": \"2021-10-11T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 70 }, { \"object\": \"Transaction\", \"created\": \"2021-10-14T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 71 } ], \"total_count\": 2, \"url\": \"/subscriptions/T_BusyMoms/future_transactions?quantity=2\" }"